Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
ReplicationConfig..::.Clockskew Method
ReplicationConfig Class See Also Send Feedback

Set the clock skew ratio among replication group members based on the fastest and slowest measurements among the group for use with master leases.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void Clockskew(
    	uint fast,
    	uint slow
    )

Visual Basic (Declaration)
    Public Sub Clockskew ( _
    	fast As UInteger, _
    	slow As UInteger _
    )

Visual C++
    public:
    void Clockskew(
    	unsigned int fast,
    	unsigned int slow
    )

#### Parameters

fast
  Type: System..::.UInt32
  The value, relative to slow, of the fastest clock in the group of sites.

slow
  Type: System..::.UInt32
  The value of the slowest clock in the group of sites.

# Remarks

Calling this method is optional, the default values for clock skew assume no skew. The user must also configure leases via UseMasterLeases. Additionally, the user must also set the master lease timeout via LeaseTimeout and the number of sites in the replication group via NSites. These settings may be configured in any order. For a description of the clock skew values, see Clock skew in the Berkeley DB Programmer's Reference Guide. For a description of master leases, see Master leases in the Berkeley DB Programmer's Reference Guide.

These arguments can be used to express either raw measurements of a clock timing experiment or a percentage across machines. For instance a group of sites have a 2% variance, then fast should be set to 102, and slow should be set to 100. Or, for a 0.03% difference, you can use 10003 and 10000 respectively.

# See Also

ReplicationConfig Class
BerkeleyDB Namespace